.\"	$NetBSD: hme.4,v 1.7 2008/04/28 19:48:56 jdc Exp $
.\"
.\" Copyright (c) 2001 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Klaus Klein.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd April 28, 2008
.Dt HME 4
.Os
.Sh NAME
.Nm hme
.Nd Sun Microelectronics STP2002-STQ Ethernet interfaces device driver
.Sh SYNOPSIS
.Cd "hme* at pci? dev ? function ?"
.Cd "hme* at sbus? slot ? offset ?"
.Sh DESCRIPTION
The
.Nm
driver supports Sun Microelectronics STP2002-STQ Fast Ethernet interfaces.
.Sh HARDWARE
The
.Nm
driver supports the on-board Ethernet interfaces of many
Sun
.Tn UltraSPARC
workstation and server models.
.Pp
Cards supported by the
.Nm
driver include:
.Pp
.Bl -item -compact
.It
Sun PCI SunSwift Adapter
.Po Do SUNW,hme Dc Pc
.It
Sun SBus SunSwift Adapter
.Po
.Dq hme
and
.Dq SUNW,hme
.Pc
.It
Sun PCI Sun100BaseT Adapter 2.0
.Po Do SUNW,hme Dc Pc
.It
Sun SBus Sun100BaseT 2.0
.Po Do SUNW,hme Dc Pc
.It
Sun PCI Quad FastEthernet Controller
.Po Do SUNW,qfe Dc Pc
.It
Sun SBus Quad FastEthernet Controller
.Po Do SUNW,qfe Dc Pc
.El
.Pp
The STP2002 family supports hardware checksumming to assist in computing
IPv4 TCP/UDP checksums.
The
.Nm
driver supports this feature of the chip.
See
.Xr ifconfig 8
for information on how to enable this feature.
.Sh SEE ALSO
.Xr ifmedia 4 ,
.Xr intro 4 ,
.Xr mii 4 ,
.Xr ukphy 4 ,
.Xr ifconfig 8
.Rs
.%T "STP2002QFP Fast Ethernet, Parallel Port, SCSI (FEPS) User's Guide"
.%D April 1996
.%A Sun Microelectronics
.%O http://mediacast.sun.com/users/Barton808/media/STP2002QFP-FEPs_UG.pdf
.Re
.Sh HISTORY
The
.Nm
driver first appeared in
.Nx 1.5 .
.Sh AUTHORS
The
.Nm
driver was written by
.An Paul Kranenburg
.Aq pk@NetBSD.org .
